
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;}

.lightMode{
height: 100vh;
background-color: #ffffff;
}

.darkMode{
    height: 100vh;
    background-color: #1D2129;
    }


html {
    font-size: 15px;
    font-family: 'DM Serif Display', serif;}


li {
    list-style: none;}


a {
    text-decoration: none;}


.header{
    background-color: rgb(225, 252, 224);}


.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.7rem 1.5rem;}

/*-----hamburger styles-----*/
.hamburger {
    display: none;}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color:rgb(54,187,46);}

/*----- styles for other elements-----*/
.nav-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;}

.nav-item {
    margin-left: 5rem;}

.nav-link{
    font-size: 1.6rem;
    font-weight: 400;
    color:rgb(54,187,46);}

.nav-link:hover{
    color: #9f55fb;}

.nav-logo {
    font-size: 2rem;
    font-weight:bolder;
    color:rgb(54,187,46);}

/*----------------------LOGIN----------------------*/

.login-form{
 
    font-family: 'DM Serif Display', serif;
    justify-content: center;
    align-items: center;
     color :rgb(54,187,46);
     padding-top: 10%;
   align-items: flex; 
     text-align: center;
     text-decoration: none;    
}

  .login-form input {
            width: 50%;
            padding: 10px;
            margin: 10px; 
            background-color: rgb(225, 252, 224);
            color :rgb(54,187,46);
            border: none;
            font-family: 'DM Serif Display', serif;
            font-weight: lighter;}

        .login-form button {
            width: 50%;
            padding: 10px;
            margin: 10px;
            background-color:rgb(54,187,46); 
            color: white;
            border: none;
            font-family: 'DM Serif Display', serif;
            cursor: pointer;}


/*------footer------*/
.footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: rgb(225, 252, 224);
    text-align: center;
    color:#9f55fb; 
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    font-family: 'DM Serif Display', serif;
    padding-top: 20px; /*the light green footer will expend to the top*/
 }


    
    /*-----SOCIAL MEDIA ICONS-----*/
    .fa {
      padding: 17px;
      font-size: 50px;
      width: 20px;
      text-align: center;
      text-decoration: none;}

    
    .fa:hover {
        opacity: 0.7;}
    
    .fa-facebook {
       color:#9f55fb;}
    
    .fa-twitter {
     color: #9f55fb;}
    
    .fa-instagram {
    color:#9f55fb;}


    /*--------------------------iPad----------------------------*/
/*------------------------------------------------------------*/
@media only screen and (min-width: 481px) and (max-width: 768px){
    .nav-menu {
        position: fixed;
        left: -100%;
        top: 5rem;
        flex-direction: column;
        background-color: #fff;
        width: 100%;
        border-radius: 10px;
        text-align: center;
        transition: 0.3s;
        box-shadow:
            0 10px 27px rgba(0, 0, 0, 0.05);}

    .nav-menu.active {
        left: 0;}

    .nav-item {
        margin: 0.5rem 0;}

    .hamburger {
        display: block;
        cursor: pointer;}}


h1{
    color: rgb(54,187,46); 
    text-align: center;
    text-decoration: none;
    font-size: 110px;
    font-family: 'DM Serif Display', serif;
    padding-top: 60px; 
    font-weight: lighter;
    padding-left: 80px;
    padding-right: 80px;
    line-height: 100%;
}


/*--------------------------Mobile----------------------------*/
/*------------------------------------------------------------*/
    @media only screen and (max-width: 600px) {
        .nav-menu {
            position: fixed;
            left: -100%;
            top: 5rem;
            flex-direction: column;
            background-color: #fff;
            width: 100%;
            border-radius: 10px;
            text-align: center;
            transition: 0.3s;
            box-shadow:
                0 10px 27px rgba(0, 0, 0, 0.05);}
    
        .nav-menu.active {
            left: 0;}
    
        .nav-item {
            margin: 0.5rem 0;}
    
        .hamburger {
            display: block;
            cursor: pointer;}

            .fa {
                padding: 17px;
                font-size: 50px;
                width: 1px;
                text-align: center;
                text-decoration: none;}
            
                .footer {
                    position: fixed;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    background-color: rgb(225, 252, 224);
                    text-align: center;
                    color:#9f55fb; 
                    text-align: center;
                    text-decoration: none;
                    font-size: 13px;
                    font-family: 'DM Serif Display', serif;
                    padding-top: 20px; /*the light green footer will expend to the top*/
                    padding-left: 30px;
                    padding-right: 30px;
                 }  
                 h1{
                    color: rgb(54,187,46); 
                    text-align: center;
                    text-decoration: none;
                    font-size: 60px;
                    font-family: 'DM Serif Display', serif;
                    font-weight: lighter;
                    padding-left: 40px;
                    padding-right: 40px;
                    padding-top: 30px;
                    line-height: 110%;
                }

                /*------POP-UP------*/
                .containerForPopUp{ 
                    width: 100%;
                    height: 100vh;
                    background: #fff;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }
                
                .btnPopUp{    /*properties for the SUBMIT button*/
                    padding: 10px 60px;  
                    background-color: #6fd649;
                    border: 0;
                    outline: none;
                    cursor: pointer;
                    font-size: 22px;
                    font-weight: 500;
                    border-radius: 20px;
                    font-size: 30px;
                    color: #fff
                }
                .popup{
                    width: 300px;
                    background:  rgb(225, 252, 224);
                    border-radius: 25px;
                    position: absolute;
                    top:0%; /*the popup is at the top of the page*/
                    left: 50%;
                    transform: translate(-50%, -50%) scale(0.1); /*from small to big*/
                    text-align: center;
                    padding: 0 30px 30px;
                    visibility: hidden;  /*to hide the button*/
                    transition: transform 0.4s, top 0.4s; 
                }
                
                .open-popup{ /*when it is open it will be 50%*/
                    visibility: visible;
                    top:40%; /*50% will be in the center and 30% will be near the top*/
                    transform: translate(-50%, -50%) scale(1); /*changing to size 1 - the original size*/
                }
                
                .popup img{  /*the tick image*/
                   width: 135px; 
                   border-radius: 50%;
                 
                  
                }
                .popup h1 { /*the text*/
                    font-size: 45px;
                    font-weight: 500;
                    color: #6fd649;
                    font-weight: bolder;
                    margin-top: 40px;
                }
                
                
                .popup h2 { /*the text*/
                    font-size: 70px;
                    font-weight: 500;
                    color: #6fd649;
                    font-weight: bolder;
                    padding-bottom: 50px;
                    line-height: 40%;
                }
                
                .popup button{ /*OK button*/
                    width: 100%;
                    margin-top: 50px;
                    padding: 10px 0;
                    color: #6fd649;
                    font-size: 20px;
                    border: 0;
                    background: none;
                    font-size:25px;
                    font-weight: bolder;
                }
            }





        


